---
title: 'Link types: preconnect'
slug: Web/HTML/Link_types/preconnect
tags:
  - Attribute
  - HTML
  - Link
  - Link types
  - Reference
---
<p><span class="seoSummary">The <strong><code>preconnect</code></strong> keyword for the {{HTMLAttrxRef("rel", "link")}} attribute of the {{HTMLElement("link")}} element is a hint to browsers that the user is likely to need resources from the target resource's origin, and therefore the browser can likely improve the user experience by preemptively  initiating a connection to that origin.</span></p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName("HTML WHATWG", "#link-type-preconnect", "preconnect")}}</td>
   <td>{{Spec2("HTML WHATWG")}}</td>
   <td></td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("html.elements.link.rel.preconnect")}}</p>
